Show / Hide Table of Contents

# Class EntryPoint

The main entrypoint for the Dalamud system.

##### Inheritance

System.Object
EntryPoint

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class EntryPoint

### Fields

| Improve this Doc View Source

#### LogLevelSwitch

Log level switch for runtime log level change.

##### Declaration

    public static readonly LoggingLevelSwitch LogLevelSwitch

##### Field Value

Type | Description
--- | ---
Serilog.Core.LoggingLevelSwitch |

### Methods

| Improve this Doc View Source

#### Initialize(IntPtr, IntPtr)

Initialize Dalamud.

##### Declaration

    public static void Initialize(IntPtr infoPtr, IntPtr mainThreadContinueEvent)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | infoPtr | Pointer to a serialized DalamudStartInfo data.
System.IntPtr | mainThreadContinueEvent | Event used to signal the main thread to continue.

| Improve this Doc View Source

#### VehCallback()

Returns stack trace.

##### Declaration

    public static IntPtr VehCallback()

##### Returns

Type | Description
--- | ---
System.IntPtr | HGlobal to wchar_t* stack trace c-string.